Summary: Pam module to cache login credentials
Name: pam_ccreds
Version: 1
Release: 6
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tgz
# automake16 is needed because the tarball is broken (too old `missing'
# and aclocal.m4 older than configure.in)
BuildPrereq: automake16 db4-devel openssl pam-devel
Requires: db4 pam
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%define docdir /usr/share/doc/%{name}-%{version}-%{release}

%description
The pam_ccreds module provides a mechanism for caching
credentials when authenticating against a network
authentication service, so that authentication can still
proceed when the service is down. Note at present no
mechanism is provided for caching _authorization_ 
information, i.e. whether you are allowed to login once
authenticated.

%prep
%setup -q

%build
%configure --libdir=/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README
/%{_lib}/security/pam_ccreds.so

%changelog
* Wed Mar 16 2005 John Dennis <jdennis@redhat.com> 1-6
- bump rev for gcc4 build

* Wed Mar 16 2005 Dan Williams <dcbw@redhat.com> pam_ccreds-1-5
- rebuild to pick up new libcrypto.so.5

* Mon Feb 14 2005 Nalin Dahyabhai <nalin@redhat.com> pam_ccreds-1-4
- change install dir from /lib/security to /%%{_lib}/security

* Tue Oct 12 2004 Miloslav Trmac <mitr@redhat.com> pam_ccreds-1-3
- BuildRequire: automake16, openssl (from Maxim Dzumanenko, #134674)

* Wed Sep  1 2004 John Dennis <jdennis@redhat.com> pam_ccreds-1-2
- change install dir from /%%{_lib}/security to /lib/security

* Sun Jun 13 2004 John Dennis <jdennis@redhat.com> ccreds-1
- Initial build.
